Iir::RBJ::RBJbase Struct Reference

`#include <RBJ.h>`

Inheritance diagram for Iir::RBJ::RBJbase:

## Public Member Functions

template<typename Sample >
Sample | filter (Sample s)
| filter operation
void | reset ()
| resets the delay lines to zero
const DirectFormI & | getState ()
| gets the delay lines (=state) of the filter
Public Member Functions inherited from Iir::Biquad
complex_t | response (double normalizedFrequency) const
std::vector< PoleZeroPair > | getPoleZeros () const
double | getA0 () const
double | getA1 () const
double | getA2 () const
double | getB0 () const
double | getB1 () const
double | getB2 () const
template<class StateType >
double | filter (double s, StateType &state) const
void | setCoefficients (double a0, double a1, double a2, double b0, double b1, double b2)
void | setOnePole (complex_t pole, complex_t zero)
void | setTwoPole (complex_t pole1, complex_t zero1, complex_t pole2, complex_t zero2)
void | setPoleZeroPair (const PoleZeroPair &pair)
void | setIdentity ()
void | applyScale (double scale)

## Detailed Description

The base class of all RBJ filters

The documentation for this struct was generated from the following file:

- iir/RBJ.h